Subject: [bug#77186] [PATCH v2 06/13] services: gitolite-rc-file: Export default value for enable.

From: Tomas Volf <[email-masked]>
Date: Thu, 27 Mar 2025 18:46:54 +0100

Maxim Cournoyer <[email-masked]> writes:

>
> This field should control the values against a set of all valid values,
> ideally.
>
> Another ideality: this configuration should preferably use
> define-configuration, where instead of #f value we could have
> maybe-values that when unspecified are omitted entirely, leaving the
> application to use its own defaults.

Minor problem (as described a bit in the other email regarding
log-extra) is that gitolite really does not have "defaults".  Or rather,
the defaults in the upstream configuration file are not the same you get
when you just omit it completely.  I will need to give some thought to
this.

>
> Can be made in a different series though, as that's new work I'm simply
> suggesting :-).

I will add it to my todo list and hopefully get to it on day. ^_^

Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.